## ThunarProgressView ThunarProgressView |

## Functions

GtkWidget * | thunar_progress_view_new_with_job ()
void | thunar_progress_view_set_icon_name ()
void | thunar_progress_view_set_title ()
ThunarJob * | thunar_progress_view_get_job ()
void | thunar_progress_view_launch_job ()

## Properties

char * | icon-name | Read / Write
ThunarJob * | job | Read / Write
char * | title | Read / Write

## Signals

void | finished | No Hooks
void | force-launch | No Hooks
void | need-attention | No Hooks

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── ThunarProgressView

## Description

## Functions

### thunar_progress_view_new_with_job ()

    GtkWidget *
    thunar_progress_view_new_with_job (ThunarJob *job);

Allocates a new ThunarProgressView and associates it with the `job` .

#### Parameters

job | a ThunarJob or `NULL`. |

#### Returns

the newly allocated ThunarProgressView.

### thunar_progress_view_set_icon_name ()

    void
    thunar_progress_view_set_icon_name (ThunarProgressView *view,
                                        const gchar *icon_name);

### thunar_progress_view_set_title ()

    void
    thunar_progress_view_set_title (ThunarProgressView *view,
                                    const gchar *title);

### thunar_progress_view_get_job ()

    ThunarJob *
    thunar_progress_view_get_job (ThunarProgressView *view);

Returns the ThunarJob associated with `view` or `NULL` if no job is currently associated with `view` .

The ThunarJob is owned by the `view` and should not be freed by the caller.

#### Parameters

view | a ThunarProgressView. |

#### Returns

the job associated with `view` or `NULL`.

### thunar_progress_view_launch_job ()

    void
    thunar_progress_view_launch_job (ThunarProgressView *view);

## Property Details

### The `“icon-name”` property

      “icon-name”                char *

icon-name.

Owner: ThunarProgressView

Flags: Read / Write

Default value: NULL

### The `“job”` property

      “job”                      ThunarJob *

The ThunarJob, whose progress is displayed by this view, or `NULL` if no job is set.

Owner: ThunarProgressView

Flags: Read / Write

### The `“title”` property

      “title”                    char *

title.

Owner: ThunarProgressView

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“finished”` signal

    void
    user_function (ThunarProgressView *thunarprogressview,
                   gpointer            user_data)

Flags: No Hooks

### The `“force-launch”` signal

    void
    user_function (ThunarProgressView *thunarprogressview,
                   gpointer            user_data)

Flags: No Hooks

### The `“need-attention”` signal

    void
    user_function (ThunarProgressView *thunarprogressview,
                   gpointer            user_data)

Flags: No Hooks